
apt update --yes
apt install ffmpeg --yes


python -m pip install --upgrade pip

git clone https://github.com/SECourses/LivePortrait

cd LivePortrait

python -m venv venv

source ./venv/bin/activate

echo "Installing requirements"

pip install -r requirements.txt

echo "Downloading models from HF"

python HF_model_downloader.py

cd src/utils/dependencies/XPose/models/UniPose/ops
python setup.py build install

# Show completion message
echo "Virtual environment made and installed properly"

# Keep the terminal open
read -p "Press Enter to continue..."

